import 'dart:developer';

void main(List<String> arguments) {
//Задание номер 1
//1) Возьмем, например, два списка:
//и напишите программу, которая возвращает список, содержащий только общие для них элементы (без дубликатов).
//Убедитесь, что ваша программа работает с двумя списками разного размера.
//Ответ: [1, 2, 3, 5, 8, 13]

  List a = [1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89];
  List b = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13];

  List result = [];

  for (int i = 0; i < b.length; i++) {
    if (a.contains(b[i])) {
      result.add(b[i]);
    }
  }
  print(result);

//Задание номер 2
//2) Допустим, вам дан список, сохраненный в переменной:
//Напишите код Dart, который берет этот список и создает новый список,
//в котором есть только четные элементы этого списка.
//Ответ = [4, 16, 36, 64, 100];

  List list1 = [1, 4, 9, 16, 25, 36, 49, 64, 81, 100];
  List evens = [];

  for (int element in list1) {
    if (element.isEven) {
      evens.add(element);
    }
  }
  print(evens);

//Задание номер 3
//3) Создайте функцию, которая принимает две строки в качестве аргументов
//и возвращает, сколько раз первая строка (один символ) была найдена во второй строке.
//Пример:
//вожу "a" и "dart" ➞ результат = 1

//вожу "c" и "Chamber of secrets" ➞ результат = 1

//вожу "b" и "big fat bubble" ➞ результат = 4

  var letter = 'b';
  var word = 'big fat bubble';
  int count = 0;

  for (int i = 0; i < word.length; i++) {
    if (letter == word[i]) {
      count++;
    }
  }
  print(count);
}
